#!/bin/bash
echo "Please provide input binary plink filename w/out extension:"
read bname;
echo "Please provide Gpu index"
read gpuindex;
echo "Please provide SNP partition size"
read chunksize;
echo "Please provide Pvalue threshold (e.g.: 0.00001)"
read pval_thres;
plink --bfile $bname --recode --out $bname'_recode'
cut -d ' ' -f2,5,6 $bname'.fam' > $bname'_step1.fam'
awk '{sub(2,0,$2);print}' $bname'_step1.fam' > $bname'_step2.fam'
cat header.pheno $bname'_step2.fam' > $bname'.pheno'

cut -f2 $bname'.bim' > $bname'.snplist'

cut -f1,2,4 $bname'_recode.map' > $bname'_recode_step1.map'
cat header.map $bname'_recode_step1.map' > $bname'_recode_adj.map'

R --vanilla --args "$bname" "$gpuindex" "$chunksize" "$pval_thres"< PreProcessRscript.R