search.name<-function(name_vector_set1,
		      name_vector_set2,
                      PartId,
                      vector_index,
                      nb_chunk_set1=num_chunk1,
		      nb_chunk_set2=num_chunk2,
                      snp_chunksize_set1=chunksize1,
		      snp_chunksize_set2=chunksize2){
  snp_len_set1 <- dim(name_vector_set1)[1]
  snp_len_set2 <- dim(name_vector_set2)[1]
  
  snp1_indexstart <- (PartId[,1]-1)*snp_chunksize_set1 + 1
  snp2_indexstart <- (PartId[,2]-1)*snp_chunksize_set2 + 1

  if (PartId[,1]==nb_chunk_set1 && PartId[,2]==nb_chunk_set2)
    {snp_chunksize_set1<-(snp_len_set1-snp1_indexstart)+1;
     snp_chunksize_set2<-(snp_len_set2-snp2_indexstart)+1;}
  snp1_relindex <- ((vector_index-1)%%snp_chunksize_set1)+1;     #Rows in the Correlation Matrix
  snp2_relindex <- ceiling(vector_index/snp_chunksize_set2);  	#Columns in Correlation Matrix
  return(data.frame(SNP1 = name_vector_set1[snp1_indexstart-1 + snp1_relindex,1],
		    SNP2 = name_vector_set2[snp2_indexstart-1 + snp2_relindex,1]))

}


parse <- function(full.table, name_vector, out.file,
                  verbose = FALSE,
                  max.index = NULL,
                  ...) {
  #full.table = read.table(res.file, sep="\t", as.is = TRUE)
  
  present=FALSE
  md <- 0
  max.d.index <- 0
      parts <- full.table[, c(1,2)]
      pos <-   full.table[, 3]
      dists <- full.table[, 4]
      name.pairs <- search.name(name_vector, parts, pos)
      if(verbose){
        print(name.pairs)
      }
      name.pairs$dists = dists
      write.table(name.pairs, 
                  file = out.file, append=present, 
                  sep="\t",
                  col.names=FALSE, row.names=FALSE,
                  quote = FALSE)
      present <- TRUE
      md <- max(abs(dists))
      max.d.index <-which(abs(full.table[,4])==md)
      
  cat('Maximum absolute distance:', md,
      'at index', max.d.index,"\n")
} 
